Package org.springframework.security.web

# Interface PortResolver

All Known Implementing Classes:
  `PortResolverImpl`

public interface PortResolver
A `PortResolver` determines the port a web request was received on.

This interface is necessary because `ServletRequest.getServerPort()` may not return the correct port in certain circumstances. For example, if the browser does not construct the URL correctly after a redirect.

## Method Summary

Modifier and Type
Method
Description
`int`
`getServerPort(jakarta.servlet.ServletRequest request)`
Indicates the port the `ServletRequest` was received on.

## Method Details

### getServerPort

int getServerPort(jakarta.servlet.ServletRequest request)
Indicates the port the `ServletRequest` was received on.

Parameters:
  `request` - that the method should lookup the port for
Returns:
  the port the request was received on